Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000341 [Yate - Yet Another Telephony Engine] module minor always 2013-04-23 23:30 2013-04-25 13:37
Reporter billsimon View Status public  
Assigned To andrei
Priority normal Resolution fixed  
Status resolved   Product Version SVN
Summary 0000341: statistics for regfile in 'status overview' always shows 0
Description It looks like recent updates to the regfile module cause a miscount when you use 'status overview'. When I use 'status overview' I see 0, but get a correct count when I request the detailed status information.

This line in regfile.cpp uses the usrCount variable which is incremented only when processing the detailed user listing - so overview is always 0.

   msg.retValue() << ",users=" << usrCount;
Additional Information
Tags No tags attached.
Attached Files txt file icon svndiff.txt [^] (777 bytes) 2013-04-24 00:23

- Relationships

-  Notes
(0000528)
billsimon (reporter)
2013-04-24 00:21

Submitting patch
(0000529)
paulc (administrator)
2013-04-25 12:16

Seems the bug was introduced by SVN Rev 5418 (2013-03-15)
(0000530)
andrei (developer)
2013-04-25 13:37

Likely fixed in SVN Rev 5488

- Issue History
Date Modified Username Field Change
2013-04-23 23:30 billsimon New Issue
2013-04-24 00:21 billsimon Note Added: 0000528
2013-04-24 00:23 billsimon File Added: svndiff.txt
2013-04-25 12:16 paulc Note Added: 0000529
2013-04-25 12:16 paulc Assigned To => andrei
2013-04-25 12:16 paulc Status new => acknowledged
2013-04-25 13:37 andrei Note Added: 0000530
2013-04-25 13:37 andrei Status acknowledged => resolved
2013-04-25 13:37 andrei Resolution open => fixed
2013-04-25 13:37 andrei Fixed in Version => SVN


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker